### Enumeration

# FwupdPlugin UsbDeviceMsDs20Desc

#### Declaration

    enum FwupdPlugin.UsbDeviceMsDs20Desc

#### Description

No description available.

#### Members

`FU_USB_DEVICE_MS_DS20_DESC_SET_HEADER_DESCRIPTOR`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_USB_DEVICE_MS_DS20_DESC_SUBSET_HEADER_CONFIGURATION`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_USB_DEVICE_MS_DS20_DESC_SUBSET_HEADER_FUNCTION`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_USB_DEVICE_MS_DS20_DESC_FEATURE_COMPATIBLE_ID`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_USB_DEVICE_MS_DS20_DESC_FEATURE_REG_PROPERTY`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_USB_DEVICE_MS_DS20_DESC_FEATURE_MIN_RESUME_TIME`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_USB_DEVICE_MS_DS20_DESC_FEATURE_MODEL_ID`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_USB_DEVICE_MS_DS20_DESC_FEATURE_CCGP_DEVICE`

  No description available.

  - Value: `7`
  - Available since: 1.0
`FU_USB_DEVICE_MS_DS20_DESC_FEATURE_VENDOR_REVISION`

  No description available.

  - Value: `8`
  - Available since: 1.0